<template>
	<el-date-picker
		class="timestamp"
		style="width: 130px"
		@change="changeValue"
		v-model="selectValue"
		type="date"
		:placeholder="props.data.title"
		value-format="YYYY-MM-DD HH:mm:ss"
		format="YYYY-MM-DD"
		:shortcuts="shortcuts"
		:disabled-date="disabledCurrentDate"
		:clearable="false"
		:disabled="disabled"
	/>
</template>

<script setup lang="ts">
import type { PropType } from 'vue';
import type { TimestampParam } from '../types';
import { getRecentDate } from '/@/utils/util';
import { disabledCurrentDate } from '/@/components/form/datepicker/constants';
const props = defineProps({
	data: {
		type: Object as PropType<TimestampParam>,
	},
	disabled: {
		type: Boolean,
		default: false,
	},
});
const emit = defineEmits(['change']);

const shortcuts = [
	{
		text: '今天',
		value: () => getRecentDate(0),
	},
	{
		text: '三天前',
		value: () => getRecentDate(3),
	},
	{
		text: '七天前',
		value: () => getRecentDate(7),
	},
];
const selectValue = defineModel({
	type: String,
});
const changeValue = (val) => {
	emit('change', val);
};
</script>
<style scoped lang="scss">
.timestamp {
	width: 180px;
}
</style>
